LP#1708048: Add support for Debian 9 Stretch
authorBen Shum <ben@evergreener.net>
Tue, 1 Aug 2017 20:07:16 +0000 (16:07 -0400)
committerGalen Charlton <gmc@equinoxinitiative.org>
Wed, 20 Sep 2017 14:31:11 +0000 (10:31 -0400)
  - Add new make target "debian-stretch"
  - Add Stretch instructions to README

Signed-off-by: Ben Shum <ben@evergreener.net>
Signed-off-by: Jason Stephenson <jason@sigio.com>
Signed-off-by: Galen Charlton <gmc@equinoxinitiative.org>
README
src/extras/Makefile.install

diff --git a/README b/README
index 33476a0..46c311e 100644 (file)
--- a/README
+++ b/README
@@ -64,8 +64,9 @@ make -f src/extras/Makefile.install <osname>
 
 Well-tested values for <osname> include:
 
-  * `debian-jessie` for Debian 8.0
-  * `debian-wheezy` for Debian 7.0
+  * `debian-stretch` for Debian 9
+  * `debian-jessie` for Debian 8
+  * `debian-wheezy` for Debian 7
   * `ubuntu-trusty` for Ubuntu 14.04
   * `ubuntu-xenial` for Ubuntu 16.04
 
@@ -212,7 +213,7 @@ work for OpenSRF.
 /etc/init.d/ejabberd stop
 ---------------------------------------------------------------------------
 +
-.(Ubuntu Xenial) Stopping ejabberd
+.(Debian Stretch / Ubuntu Xenial) Stopping ejabberd
 [source, bash]
 ---------------------------------------------------------------------------
 systemctl stop ejabberd.service
@@ -258,7 +259,7 @@ hosts:
     ##access_max_user_messages: max_user_offline_messages
 -----------------------
 +
-(Ubuntu Xenial) Ejabberd 16.x::
+(Debian Stretch / Ubuntu Xenial) Ejabberd 16.x::
 Open `/etc/ejabberd/ejabberd.yml` and make the following
 changes:
   a. Define your public and private domains in the `hosts` directive. For
@@ -290,7 +291,7 @@ hosts:
 /etc/init.d/ejabberd start
 ---------------------------------------------------------------------------
 +
-.(Ubuntu Xenial) Starting ejabberd
+.(Debian Stretch / Ubuntu Xenial) Starting ejabberd
 [source, bash]
 ---------------------------------------------------------------------------
 systemctl start ejabberd.service
@@ -449,7 +450,7 @@ apxs2 -i -a -c mod_websocket.c
 sh /usr/share/doc/apache2.2-common/examples/setup-instance websockets
 ---------------------------------------------------------------------------
 +
-.(Debian Jessie / Ubuntu Trusty / Xenial)
+.(Debian Jessie/Stretch, Ubuntu Trusty/Xenial)
 [source, bash]
 ---------------------------------------------------------------------------
 sh /usr/share/doc/apache2/examples/setup-instance websockets
@@ -472,7 +473,7 @@ cd /path/to/opensrf-OSRFVERSION
 cp examples/apache2/websockets/apache2.conf /etc/apache2-websockets/
 ---------------------------------------------------------------------------
 +
-.(Debian Jessie / Ubuntu Trusty / Xenial)
+.(Debian Jessie/Stretch, Ubuntu Trusty/Xenial)
 [source, bash]
 ---------------------------------------------------------------------------
 cd /path/to/opensrf-OSRFVERSION
index 10e56ef..1a2a63c 100644 (file)
@@ -10,6 +10,8 @@
 # Installs Perl prereqs, libjs with Perl wrapper
 #
 # usage:
+#      make -f Makefile.install debian-stretch
+#      - or -
 #      make -f Makefile.install debian-jessie
 #      - or -
 #      make -f Makefile.install debian-wheezy
@@ -163,6 +165,11 @@ EXTRA_DEBS_JESSIE = \
        apache2-prefork-dev \
        libncurses5-dev
 
+EXTRA_DEBS_DEBIAN_STRETCH = \
+       apache2 \
+       apache2-dev \
+       libncurses5-dev
+
 EXTRA_DEBS_UBUNTU_TRUSTY = \
        apache2-mpm-prefork \
        apache2-prefork-dev \
@@ -179,8 +186,10 @@ all:
        @echo "please specify an OS" && exit 0
 
 
+debian-stretch: generic_debian stretch apache_mpm_prefork_mods apache_perl_mod
 debian-jessie: generic_debian jessie apache_mpm_prefork_mods
 debian-wheezy: generic_debian wheezy
+stretch: install_extra_debs install_extra_debs_stretch debian_sys_config
 jessie: install_extra_debs_jessie debian_sys_config
 wheezy: install_extra_debs_wheezy debian_sys_config
 generic_debian: install_debs
@@ -208,6 +217,9 @@ install_debs:
 install_extra_debs:
        $(APT_TOOL) install $(EXTRA_DEBS)
 
+install_extra_debs_stretch:
+       $(APT_TOOL) install $(EXTRA_DEBS_DEBIAN_STRETCH)
+
 install_extra_debs_jessie: install_extra_debs
        $(APT_TOOL) install $(EXTRA_DEBS_JESSIE)